com.tibco.n2.service.adapter.binding

## Interface WorkListService

- All Known Implementing Classes:
    WorkListService

      public interface WorkListService

  Provides access to the WorkListService interfaces.

  ©2011 TIBCO Software Inc.
  Since:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `addCurrentResourceToView(long workListViewID)` Add the current resource to a Work List View
    `long` | `createWorkListView(java.lang.String name, java.lang.String description, java.lang.String customData, com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria, com.tibco.n2.common.organisation.api.XmlModelEntityId[] authorsArray, com.tibco.n2.common.organisation.api.XmlModelEntityId[] usersArray, java.lang.String owner, boolean bPublic, com.tibco.n2.brm.api.ResourcesRequiredType.Enum resourcesRequired)` Create a new Work List View for ALL resources
    `long` | `createWorkListView(java.lang.String name, java.lang.String description, java.lang.String customData, com.tibco.n2.common.organisation.api.XmlModelEntityId entityID, com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria, com.tibco.n2.common.organisation.api.XmlModelEntityId[] authorsArray, com.tibco.n2.common.organisation.api.XmlModelEntityId[] usersArray, java.lang.String owner, boolean bPublic)` Create a new Work List View
    `long` | `createWorkListView(java.lang.String name, java.lang.String description, java.lang.String customData, com.tibco.n2.common.organisation.api.XmlModelEntityId entityID, com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria, com.tibco.n2.common.organisation.api.XmlModelEntityId[] authorsArray, com.tibco.n2.common.organisation.api.XmlModelEntityId[] usersArray, java.lang.String owner, boolean bPublic, boolean getAllocated)` Allow boolean to specify if we want offered or allocated items
    `long` | `deleteCurrentResourceFromView(long workListViewID)` Delete the current resource from a Work List View
    `long` | `deleteWorkListView(long workListViewID)` Delete an existing Work List View
    `long` | `editWorkListView(long workListViewID, java.lang.String name, java.lang.String description, java.lang.String customData, com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria, com.tibco.n2.common.organisation.api.XmlModelEntityId[] authorsArray, com.tibco.n2.common.organisation.api.XmlModelEntityId[] usersArray, java.lang.String owner, boolean bPublic, com.tibco.n2.brm.api.ResourcesRequiredType.Enum resourcesRequired)` Edit an existing Work List View no entity is specified since the view is for ALL resources
    `long` | `editWorkListView(long workListViewID, java.lang.String name, java.lang.String description, java.lang.String customData, com.tibco.n2.common.organisation.api.XmlModelEntityId entityID, com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria, com.tibco.n2.common.organisation.api.XmlModelEntityId[] authorsArray, com.tibco.n2.common.organisation.api.XmlModelEntityId[] usersArray, java.lang.String owner, boolean bPublic)` Edit an existing Work List View
    `long` | `editWorkListView(long workListViewID, java.lang.String name, java.lang.String description, java.lang.String customData, com.tibco.n2.common.organisation.api.XmlModelEntityId entityID, com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria, com.tibco.n2.common.organisation.api.XmlModelEntityId[] authorsArray, com.tibco.n2.common.organisation.api.XmlModelEntityId[] usersArray, java.lang.String owner, boolean bPublic, boolean getAllocated)` edit worklist to allow either offered or allocated items to be returned
    `com.tibco.n2.brm.api.GetWorkListItemsResponseDocument.GetWorkListItemsResponse` | `getAllocatedWorkListItems(com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria, com.tibco.n2.common.organisation.api.XmlModelEntityId entityId, long startPos, long numberOfItems)` Retrieves a list of work items for an organisational entity, with the option to filter and sort the work list.
    `com.tibco.n2.brm.api.GetWorkListItemsResponseDocument.GetWorkListItemsResponse` | `getAllocatedWorkListItems(com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria, com.tibco.n2.common.organisation.api.XmlModelEntityId entityId, long startPos, long numberOfItems, boolean getTotalCount)`
    `com.tibco.n2.brm.api.GetWorkListItemsResponseDocument.GetWorkListItemsResponse` | `getAllocatedWorkListItems(com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria, com.tibco.n2.common.organisation.api.XmlModelEntityId entityId, long startPos, long numberOfItems, boolean getTotalCount, boolean getEnhancedAttributes)` TODO Describe this method
    `com.tibco.n2.brm.api.WorkListViewPageItem[]` | `getEditableWorkListViews(long startPosition, long numberOfItems)` Get Editable Work List Views
    `com.tibco.n2.brm.api.WorkListViewPageItem[]` | `getEditableWorkListViews(long startPosition, long numberOfItems, int apiVersion)` Get Editable Work List Views
    `com.tibco.n2.brm.api.WorkListViewPageItem[]` | `getPublicWorkListViews(long startPosition, long numberOfItems)` Get Public Work List Views
    `com.tibco.n2.brm.api.WorkListViewPageItem[]` | `getPublicWorkListViews(long startPosition, long numberOfItems, int apiVersion)` Get Public Work List Views
    `com.tibco.n2.brm.api.OrderFilterCriteria` | `getResourceOrderFilterCriteria(java.lang.String resourceId)` Get the order and filter criteria for a particular resource.
    `com.tibco.n2.brm.api.WorkListViewPageItem[]` | `getViewsForResource(long startPosition, long numberOfItems)` Get the Work List View for the current resource
    `com.tibco.n2.brm.api.WorkListViewPageItem[]` | `getViewsForResource(long startPosition, long numberOfItems, int apiVersion)` Get the Work List View for the current resource
    `com.tibco.n2.brm.api.ColumnDefinition[]` | `getWorkItemOrderFilter(short limitColumns)` Get a work item order & filter column list
    `com.tibco.n2.brm.api.ColumnDefinition[]` | `getWorkItemOrderFilter(short limitColumns, short apiVersion)` Get a work item order & filter column list
    `com.tibco.n2.brm.api.GetWorkListItemsResponseDocument.GetWorkListItemsResponse` | `getWorkListItems(com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria, com.tibco.n2.common.organisation.api.XmlModelEntityId entityId, long startPos, long numberOfItems)` Retrieves a list of work items for an organisational entity, with the option to filter and sort the work list.
    `com.tibco.n2.brm.api.GetWorkListItemsResponseDocument.GetWorkListItemsResponse` | `getWorkListItems(com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria, com.tibco.n2.common.organisation.api.XmlModelEntityId entityId, long startPos, long numberOfItems, boolean getEnhancedAttributes)`
    `com.tibco.n2.brm.api.GetWorkListItemsResponseDocument.GetWorkListItemsResponse` | `getWorkListItems(com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria, com.tibco.n2.common.organisation.api.XmlModelEntityId entityId, long startPos, long numberOfItems, boolean getTotalCount, com.tibco.n2.brm.api.ResourcesRequiredType.Enum resourcesRequired)`
    `com.tibco.n2.brm.api.GetWorkListItemsResponseDocument.GetWorkListItemsResponse` | `getWorkListItems(com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria, com.tibco.n2.common.organisation.api.XmlModelEntityId entityId, long startPos, long numberOfItems, boolean getTotalCount, com.tibco.n2.brm.api.ResourcesRequiredType.Enum resourcesRequired, boolean getEnhancedAttributes)` TODO Describe this method
    `com.tibco.n2.brm.api.GetWorkListItemsForGlobalDataResponseDocument.GetWorkListItemsForGlobalDataResponse` | `getWorkListItemsForGlobalData(long startPosition, long numberOfItems, java.lang.String[] globalDataRef, com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria)` TODO Describe this method
    `com.tibco.n2.brm.api.GetWorkListItemsForViewResponseDocument.GetWorkListItemsForViewResponse` | `getWorkListItemsForView(boolean getEnhancedAttributes, long workListViewID, long startPosition, long numberOfItems, boolean getTotalCount)` Get the Work List Items for a View
    `com.tibco.n2.brm.api.GetWorkListItemsForViewResponseDocument.GetWorkListItemsForViewResponse` | `getWorkListItemsForView(long workListViewID, long startPosition, long numberOfItems, boolean getTotalCount)` Get the Work List Items for a View
    `com.tibco.n2.brm.api.GetWorkListItemsForViewResponseDocument.GetWorkListItemsForViewResponse` | `getWorkListItemsForView(long workListViewID, long startPosition, long numberOfItems, boolean getTotalCount, boolean getAllocatedItems)` Get the Work List Items for a View
    `com.tibco.n2.brm.api.GetWorkListItemsForViewResponseDocument.GetWorkListItemsForViewResponse` | `getWorkListItemsForView(long workListViewID, long startPosition, long numberOfItems, boolean getTotalCount, boolean getAllocatedItems, boolean getEnhancedAttributes)` TODO Describe this method
    `com.tibco.n2.brm.api.WorkListView` | `getWorkListViewDetails(long workListViewID, boolean lockView)` Get the full details of an existing Work List View
    `com.tibco.n2.brm.api.WorkListView` | `getWorkListViewDetails(long workListViewID, boolean lockView, int apiVersion)` Get the full details of an existing Work List View
    `com.tibco.n2.brm.api.WorkItemPreview[]` | `previewWorkItemFromList(com.tibco.n2.common.organisation.api.XmlModelEntityId entityID, com.tibco.n2.brm.api.ObjectID[] workItemIDs, java.lang.String[] reqFields)` Get the order and filter criteria for a particular resource.
    `com.tibco.n2.brm.api.WorkItemPreview[]` | `previewWorkItemFromList(com.tibco.n2.common.organisation.api.XmlModelEntityId entityID, com.tibco.n2.brm.api.ObjectID[] workItemIDs, java.lang.String[] reqFields, boolean requireWorkType)`
    `boolean` | `setResourceOrderFilterCriteria(com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria, java.lang.String resourceId)` Set the order and filter criteria for a particular resource.
    `long` | `unlockWorkListView(long workListViewID)` Unlock an existing Work List View

- - ### Method Detail

    - #### getWorkListItems

          com.tibco.n2.brm.api.GetWorkListItemsResponseDocument.GetWorkListItemsResponse getWorkListItems(com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria,
                                                                                                          com.tibco.n2.common.organisation.api.XmlModelEntityId entityId,
                                                                                                          long startPos,
                                                                                                          long numberOfItems)
                                                                                                   throws com.tibco.n2.brm.services.InvalidEntityFault,
                                                                                                          com.tibco.n2.brm.services.InternalServiceFault,
                                                                                                          com.tibco.n2.brm.services.WorkItemOrderFault,
                                                                                                          com.tibco.n2.brm.services.WorkItemFilterFault,
                                                                                                          com.tibco.n2.brm.services.SecurityFault

      Retrieves a list of work items for an organisational entity, with the option to filter and sort the work list.
      Parameters:
        `orderFilterCriteria` - sorting and filtering criteria
        `entityId` - organisational entity details
        `startPos` - start position
        `numberOfItems` - number of items to return
        `getTotalCount` - return a total count
        `resourcesRequired` - if specified instead of an entity then we are asking for all resources
      Returns:
      Throws:
        `java.lang.RuntimeException`
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### getWorkListItems

          com.tibco.n2.brm.api.GetWorkListItemsResponseDocument.GetWorkListItemsResponse getWorkListItems(com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria,
                                                                                                          com.tibco.n2.common.organisation.api.XmlModelEntityId entityId,
                                                                                                          long startPos,
                                                                                                          long numberOfItems,
                                                                                                          boolean getTotalCount,
                                                                                                          com.tibco.n2.brm.api.ResourcesRequiredType.Enum resourcesRequired)
                                                                                                   throws com.tibco.n2.brm.services.InvalidEntityFault,
                                                                                                          com.tibco.n2.brm.services.InternalServiceFault,
                                                                                                          com.tibco.n2.brm.services.WorkItemOrderFault,
                                                                                                          com.tibco.n2.brm.services.WorkItemFilterFault,
                                                                                                          com.tibco.n2.brm.services.SecurityFault

      Throws:
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### getWorkListItems

          com.tibco.n2.brm.api.GetWorkListItemsResponseDocument.GetWorkListItemsResponse getWorkListItems(com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria,
                                                                                                          com.tibco.n2.common.organisation.api.XmlModelEntityId entityId,
                                                                                                          long startPos,
                                                                                                          long numberOfItems,
                                                                                                          boolean getTotalCount,
                                                                                                          com.tibco.n2.brm.api.ResourcesRequiredType.Enum resourcesRequired,
                                                                                                          boolean getEnhancedAttributes)
                                                                                                   throws com.tibco.n2.brm.services.InvalidEntityFault,
                                                                                                          com.tibco.n2.brm.services.InternalServiceFault,
                                                                                                          com.tibco.n2.brm.services.WorkItemOrderFault,
                                                                                                          com.tibco.n2.brm.services.WorkItemFilterFault,
                                                                                                          com.tibco.n2.brm.services.SecurityFault

      TODO Describe this method
      Parameters:
        `orderFilterCriteria` -
        `entityId` -
        `startPos` -
        `numberOfItems` -
        `getTotalCount` -
        `resourcesRequired` -
        `getEnhancedAttributes` - return new attributes 15-40
      Returns:
      Throws:
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### getWorkListItems

          com.tibco.n2.brm.api.GetWorkListItemsResponseDocument.GetWorkListItemsResponse getWorkListItems(com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria,
                                                                                                          com.tibco.n2.common.organisation.api.XmlModelEntityId entityId,
                                                                                                          long startPos,
                                                                                                          long numberOfItems,
                                                                                                          boolean getEnhancedAttributes)
                                                                                                   throws com.tibco.n2.brm.services.InvalidEntityFault,
                                                                                                          com.tibco.n2.brm.services.InternalServiceFault,
                                                                                                          com.tibco.n2.brm.services.WorkItemOrderFault,
                                                                                                          com.tibco.n2.brm.services.WorkItemFilterFault,
                                                                                                          com.tibco.n2.brm.services.SecurityFault

      Throws:
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### getAllocatedWorkListItems

          com.tibco.n2.brm.api.GetWorkListItemsResponseDocument.GetWorkListItemsResponse getAllocatedWorkListItems(com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria,
                                                                                                                   com.tibco.n2.common.organisation.api.XmlModelEntityId entityId,
                                                                                                                   long startPos,
                                                                                                                   long numberOfItems)
                                                                                                            throws com.tibco.n2.brm.services.InvalidEntityFault,
                                                                                                                   com.tibco.n2.brm.services.InternalServiceFault,
                                                                                                                   com.tibco.n2.brm.services.WorkItemOrderFault,
                                                                                                                   com.tibco.n2.brm.services.WorkItemFilterFault,
                                                                                                                   com.tibco.n2.brm.services.SecurityFault

      Retrieves a list of work items for an organisational entity, with the option to filter and sort the work list.
      Parameters:
        `orderFilterCriteria` - sorting and filtering criteria
        `entityId` - organisational entity details
        `startPos` - start position
        `numberOfItems` - number of items to return
        `getTotalCount` - return a total count
      Returns:
      Throws:
        `java.lang.RuntimeException`
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### getAllocatedWorkListItems

          com.tibco.n2.brm.api.GetWorkListItemsResponseDocument.GetWorkListItemsResponse getAllocatedWorkListItems(com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria,
                                                                                                                   com.tibco.n2.common.organisation.api.XmlModelEntityId entityId,
                                                                                                                   long startPos,
                                                                                                                   long numberOfItems,
                                                                                                                   boolean getTotalCount)
                                                                                                            throws com.tibco.n2.brm.services.InvalidEntityFault,
                                                                                                                   com.tibco.n2.brm.services.InternalServiceFault,
                                                                                                                   com.tibco.n2.brm.services.WorkItemOrderFault,
                                                                                                                   com.tibco.n2.brm.services.WorkItemFilterFault,
                                                                                                                   com.tibco.n2.brm.services.SecurityFault

      Throws:
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### getAllocatedWorkListItems

          com.tibco.n2.brm.api.GetWorkListItemsResponseDocument.GetWorkListItemsResponse getAllocatedWorkListItems(com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria,
                                                                                                                   com.tibco.n2.common.organisation.api.XmlModelEntityId entityId,
                                                                                                                   long startPos,
                                                                                                                   long numberOfItems,
                                                                                                                   boolean getTotalCount,
                                                                                                                   boolean getEnhancedAttributes)
                                                                                                            throws com.tibco.n2.brm.services.InvalidEntityFault,
                                                                                                                   com.tibco.n2.brm.services.InternalServiceFault,
                                                                                                                   com.tibco.n2.brm.services.WorkItemOrderFault,
                                                                                                                   com.tibco.n2.brm.services.WorkItemFilterFault,
                                                                                                                   com.tibco.n2.brm.services.SecurityFault

      TODO Describe this method
      Parameters:
        `orderFilterCriteria` -
        `entityId` -
        `startPos` -
        `numberOfItems` -
        `getTotalCount` -
        `getEnhancedAttributes` - return new attributes 15-40
      Returns:
      Throws:
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### getWorkItemOrderFilter

          com.tibco.n2.brm.api.ColumnDefinition[] getWorkItemOrderFilter(short limitColumns)
                                                                  throws com.tibco.n2.brm.services.InternalServiceFault

      Get a work item order & filter column list
      Parameters:
        `limitColumns` - limit the number of columns returned
      Returns:
      Throws:
        `java.lang.RuntimeException`
        `com.tibco.n2.brm.services.InternalServiceFault`

    - #### getWorkItemOrderFilter

          com.tibco.n2.brm.api.ColumnDefinition[] getWorkItemOrderFilter(short limitColumns,
                                                                         short apiVersion)
                                                                  throws com.tibco.n2.brm.services.InternalServiceFault

      Get a work item order & filter column list
      Parameters:
        `limitColumns` - limit the number of columns returned
      Returns:
      Throws:
        `java.lang.RuntimeException`
        `com.tibco.n2.brm.services.InternalServiceFault`

    - #### setResourceOrderFilterCriteria

          boolean setResourceOrderFilterCriteria(com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria,
                                                 java.lang.String resourceId)
                                          throws com.tibco.n2.brm.services.InvalidEntityFault,
                                                 com.tibco.n2.brm.services.InternalServiceFault,
                                                 com.tibco.n2.brm.services.WorkItemOrderFault,
                                                 com.tibco.n2.brm.services.WorkItemFilterFault,
                                                 com.tibco.n2.brm.services.SecurityFault

      Set the order and filter criteria for a particular resource.
      Parameters:
        `orderFilterCriteria` - sorting and filtering criteria
        `resourceId` - the resource id
      Returns:
        boolean returns `true` if successful, otherwise `false`
      Throws:
        `java.lang.RuntimeException`
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### getResourceOrderFilterCriteria

          com.tibco.n2.brm.api.OrderFilterCriteria getResourceOrderFilterCriteria(java.lang.String resourceId)
                                                                           throws com.tibco.n2.brm.services.InvalidEntityFault,
                                                                                  com.tibco.n2.brm.services.InternalServiceFault

      Get the order and filter criteria for a particular resource.
      Parameters:
        `resourceId` - the resource
        `limitColumns` - limit for the number of columns to return
      Returns:
        OrderFilterCriteria returns the sorting and filtering criteria
      Throws:
        `java.lang.RuntimeException`
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`

    - #### previewWorkItemFromList

          com.tibco.n2.brm.api.WorkItemPreview[] previewWorkItemFromList(com.tibco.n2.common.organisation.api.XmlModelEntityId entityID,
                                                                         com.tibco.n2.brm.api.ObjectID[] workItemIDs,
                                                                         java.lang.String[] reqFields)
                                                                  throws com.tibco.n2.brm.services.InvalidWorkItemFault,
                                                                         com.tibco.n2.brm.services.WorkItemFault,
                                                                         com.tibco.n2.brm.services.InvalidVersionFault,
                                                                         com.tibco.n2.brm.services.InternalServiceFault,
                                                                         com.tibco.n2.brm.services.SecurityFault,
                                                                         com.tibco.n2.brm.services.InvalidEntityFault

      Get the order and filter criteria for a particular resource.
      Parameters:
        `entityID` - the entity ID
        `workItemIds` - array of work item objects
        `requiredFields` - array of required fields
      Returns:
        WorkItemPreview returns the Work Item Preview array
      Throws:
        `java.lang.RuntimeException`
        `com.tibco.n2.brm.services.InvalidWorkItemFault`
        `com.tibco.n2.brm.services.WorkItemFault`
        `com.tibco.n2.brm.services.InvalidVersionFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.SecurityFault`
        `com.tibco.n2.brm.services.InvalidEntityFault`

    - #### previewWorkItemFromList

          com.tibco.n2.brm.api.WorkItemPreview[] previewWorkItemFromList(com.tibco.n2.common.organisation.api.XmlModelEntityId entityID,
                                                                         com.tibco.n2.brm.api.ObjectID[] workItemIDs,
                                                                         java.lang.String[] reqFields,
                                                                         boolean requireWorkType)
                                                                  throws com.tibco.n2.brm.services.InvalidWorkItemFault,
                                                                         com.tibco.n2.brm.services.WorkItemFault,
                                                                         com.tibco.n2.brm.services.InvalidVersionFault,
                                                                         com.tibco.n2.brm.services.InternalServiceFault,
                                                                         com.tibco.n2.brm.services.SecurityFault,
                                                                         com.tibco.n2.brm.services.InvalidEntityFault

      Throws:
        `com.tibco.n2.brm.services.InvalidWorkItemFault`
        `com.tibco.n2.brm.services.WorkItemFault`
        `com.tibco.n2.brm.services.InvalidVersionFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.SecurityFault`
        `com.tibco.n2.brm.services.InvalidEntityFault`

    - #### createWorkListView

          long createWorkListView(java.lang.String name,
                                  java.lang.String description,
                                  java.lang.String customData,
                                  com.tibco.n2.common.organisation.api.XmlModelEntityId entityID,
                                  com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria,
                                  com.tibco.n2.common.organisation.api.XmlModelEntityId[] authorsArray,
                                  com.tibco.n2.common.organisation.api.XmlModelEntityId[] usersArray,
                                  java.lang.String owner,
                                  boolean bPublic)
                           throws com.tibco.n2.brm.services.InvalidEntityFault,
                                  com.tibco.n2.brm.services.WorkItemOrderFault,
                                  com.tibco.n2.brm.services.WorkItemFilterFault,
                                  com.tibco.n2.brm.services.SecurityFault,
                                  com.tibco.n2.brm.services.InternalServiceFault

      Create a new Work List View
      Parameters:
        `name` -
        `description` -
        `customData` -
        `entityID` -
        `orderFilterCriteria` -
        `authorsArray` -
        `usersArray` -
        `owner` -
        `public` -
      Returns:
        workListViewID
      Throws:
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### createWorkListView

          long createWorkListView(java.lang.String name,
                                  java.lang.String description,
                                  java.lang.String customData,
                                  com.tibco.n2.common.organisation.api.XmlModelEntityId entityID,
                                  com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria,
                                  com.tibco.n2.common.organisation.api.XmlModelEntityId[] authorsArray,
                                  com.tibco.n2.common.organisation.api.XmlModelEntityId[] usersArray,
                                  java.lang.String owner,
                                  boolean bPublic,
                                  boolean getAllocated)
                           throws com.tibco.n2.brm.services.InvalidEntityFault,
                                  com.tibco.n2.brm.services.WorkItemOrderFault,
                                  com.tibco.n2.brm.services.WorkItemFilterFault,
                                  com.tibco.n2.brm.services.SecurityFault,
                                  com.tibco.n2.brm.services.InternalServiceFault

      Allow boolean to specify if we want offered or allocated items
      Parameters:
        `name` -
        `description` -
        `customData` -
        `entityID` -
        `orderFilterCriteria` -
        `authorsArray` -
        `usersArray` -
        `owner` -
        `bPublic` -
        `getAllocated` -
      Returns:
      Throws:
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`
        `com.tibco.n2.brm.services.SecurityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`

    - #### createWorkListView

          long createWorkListView(java.lang.String name,
                                  java.lang.String description,
                                  java.lang.String customData,
                                  com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria,
                                  com.tibco.n2.common.organisation.api.XmlModelEntityId[] authorsArray,
                                  com.tibco.n2.common.organisation.api.XmlModelEntityId[] usersArray,
                                  java.lang.String owner,
                                  boolean bPublic,
                                  com.tibco.n2.brm.api.ResourcesRequiredType.Enum resourcesRequired)
                           throws com.tibco.n2.brm.services.InvalidEntityFault,
                                  com.tibco.n2.brm.services.WorkItemOrderFault,
                                  com.tibco.n2.brm.services.WorkItemFilterFault,
                                  com.tibco.n2.brm.services.SecurityFault,
                                  com.tibco.n2.brm.services.InternalServiceFault

      Create a new Work List View for ALL resources
      Parameters:
        `name` -
        `description` -
        `customData` -
        `orderFilterCriteria` -
        `authorsArray` -
        `usersArray` -
        `owner` -
        `bPublic` -
        `resourcesRequired` - Specifies what resources this view is for
      Returns:
      Throws:
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`
        `com.tibco.n2.brm.services.SecurityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`

    - #### getWorkListViewDetails

          com.tibco.n2.brm.api.WorkListView getWorkListViewDetails(long workListViewID,
                                                                   boolean lockView)
                                                            throws com.tibco.n2.brm.services.InvalidWorkViewFault,
                                                                   com.tibco.n2.brm.services.SecurityFault,
                                                                   com.tibco.n2.brm.services.InternalServiceFault

      Get the full details of an existing Work List View
      Parameters:
        `workListViewID` -
      Returns:
        com.tibco.n2.brm.api.WorkListView
      Throws:
        `com.tibco.n2.brm.services.InvalidWorkViewFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### getWorkListViewDetails

          com.tibco.n2.brm.api.WorkListView getWorkListViewDetails(long workListViewID,
                                                                   boolean lockView,
                                                                   int apiVersion)
                                                            throws com.tibco.n2.brm.services.InvalidWorkViewFault,
                                                                   com.tibco.n2.brm.services.SecurityFault,
                                                                   com.tibco.n2.brm.services.InternalServiceFault

      Get the full details of an existing Work List View
      Parameters:
        `workListViewID` -
        `apiVersion` - 1 for existing functionality 2 to return extra info
      Returns:
        com.tibco.n2.brm.api.WorkListView
      Throws:
        `com.tibco.n2.brm.services.InvalidWorkViewFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### editWorkListView

          long editWorkListView(long workListViewID,
                                java.lang.String name,
                                java.lang.String description,
                                java.lang.String customData,
                                com.tibco.n2.common.organisation.api.XmlModelEntityId entityID,
                                com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria,
                                com.tibco.n2.common.organisation.api.XmlModelEntityId[] authorsArray,
                                com.tibco.n2.common.organisation.api.XmlModelEntityId[] usersArray,
                                java.lang.String owner,
                                boolean bPublic)
                         throws com.tibco.n2.brm.services.InvalidWorkViewFault,
                                com.tibco.n2.brm.services.InvalidEntityFault,
                                com.tibco.n2.brm.services.WorkItemOrderFault,
                                com.tibco.n2.brm.services.WorkItemFilterFault,
                                com.tibco.n2.brm.services.SecurityFault,
                                com.tibco.n2.brm.services.InternalServiceFault

      Edit an existing Work List View
      Parameters:
        `workListViewID` -
        `name` -
        `description` -
        `customData` -
        `entityID` -
        `orderFilterCriteria` -
        `authorsArray` -
        `usersArray` -
        `owner` -
        `public` -
      Returns:
        workListViewID
      Throws:
        `com.tibco.n2.brm.services.InvalidWorkViewFault`
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`
        `com.tibco.n2.brm.services.SecurityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`

    - #### editWorkListView

          long editWorkListView(long workListViewID,
                                java.lang.String name,
                                java.lang.String description,
                                java.lang.String customData,
                                com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria,
                                com.tibco.n2.common.organisation.api.XmlModelEntityId[] authorsArray,
                                com.tibco.n2.common.organisation.api.XmlModelEntityId[] usersArray,
                                java.lang.String owner,
                                boolean bPublic,
                                com.tibco.n2.brm.api.ResourcesRequiredType.Enum resourcesRequired)
                         throws com.tibco.n2.brm.services.InvalidWorkViewFault,
                                com.tibco.n2.brm.services.InvalidEntityFault,
                                com.tibco.n2.brm.services.WorkItemOrderFault,
                                com.tibco.n2.brm.services.WorkItemFilterFault,
                                com.tibco.n2.brm.services.SecurityFault,
                                com.tibco.n2.brm.services.InternalServiceFault

      Edit an existing Work List View no entity is specified since the view is for ALL resources
      Parameters:
        `workListViewID` -
        `name` -
        `description` -
        `customData` -
        `orderFilterCriteria` -
        `authorsArray` -
        `usersArray` -
        `owner` -
        `bPublic` -
        `resourcesRequired` -
      Returns:
      Throws:
        `com.tibco.n2.brm.services.InvalidWorkViewFault`
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`
        `com.tibco.n2.brm.services.SecurityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`

    - #### editWorkListView

          long editWorkListView(long workListViewID,
                                java.lang.String name,
                                java.lang.String description,
                                java.lang.String customData,
                                com.tibco.n2.common.organisation.api.XmlModelEntityId entityID,
                                com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria,
                                com.tibco.n2.common.organisation.api.XmlModelEntityId[] authorsArray,
                                com.tibco.n2.common.organisation.api.XmlModelEntityId[] usersArray,
                                java.lang.String owner,
                                boolean bPublic,
                                boolean getAllocated)
                         throws com.tibco.n2.brm.services.InvalidWorkViewFault,
                                com.tibco.n2.brm.services.InvalidEntityFault,
                                com.tibco.n2.brm.services.WorkItemOrderFault,
                                com.tibco.n2.brm.services.WorkItemFilterFault,
                                com.tibco.n2.brm.services.SecurityFault,
                                com.tibco.n2.brm.services.InternalServiceFault

      edit worklist to allow either offered or allocated items to be returned
      Parameters:
        `workListViewID` -
        `name` -
        `description` -
        `customData` -
        `entityID` -
        `orderFilterCriteria` -
        `authorsArray` -
        `usersArray` -
        `owner` -
        `bPublic` -
        `getAllocated` -
      Returns:
      Throws:
        `com.tibco.n2.brm.services.InvalidWorkViewFault`
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`
        `com.tibco.n2.brm.services.SecurityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`

    - #### deleteWorkListView

          long deleteWorkListView(long workListViewID)
                           throws com.tibco.n2.brm.services.InvalidWorkViewFault,
                                  com.tibco.n2.brm.services.SecurityFault,
                                  com.tibco.n2.brm.services.InternalServiceFault

      Delete an existing Work List View
      Parameters:
        `workListViewID` -
      Returns:
        workListViewID
      Throws:
        `com.tibco.n2.brm.services.InvalieWorkViewFault`
        `com.tibco.n2.brm.services.SecurityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.InvalidWorkViewFault`

    - #### unlockWorkListView

          long unlockWorkListView(long workListViewID)
                           throws com.tibco.n2.brm.services.InvalidWorkViewFault,
                                  com.tibco.n2.brm.services.SecurityFault,
                                  com.tibco.n2.brm.services.InternalServiceFault

      Unlock an existing Work List View
      Parameters:
        `workListViewID` -
      Returns:
        workListViewID
      Throws:
        `com.tibco.n2.brm.services.InvalidWorkViewFault`
        `com.tibco.n2.brm.services.SecurityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`

    - #### getEditableWorkListViews

          com.tibco.n2.brm.api.WorkListViewPageItem[] getEditableWorkListViews(long startPosition,
                                                                               long numberOfItems)
                                                                        throws com.tibco.n2.brm.services.SecurityFault,
                                                                               com.tibco.n2.brm.services.InternalServiceFault

      Get Editable Work List Views
      Parameters:
        `startPosition` -
        `numberOfItems` -
      Returns:
        com.tibco.n2.brm.api.GetEditableWorkListViewsResponseDocument.GetEditableWorkListViewsResponse
      Throws:
        `com.tibco.n2.brm.services.SecurityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`

    - #### getEditableWorkListViews

          com.tibco.n2.brm.api.WorkListViewPageItem[] getEditableWorkListViews(long startPosition,
                                                                               long numberOfItems,
                                                                               int apiVersion)
                                                                        throws com.tibco.n2.brm.services.SecurityFault,
                                                                               com.tibco.n2.brm.services.InternalServiceFault

      Get Editable Work List Views
      Parameters:
        `startPosition` -
        `numberOfItems` -
        `apiVersion` - 1 for existing functionality 2 to return extra info
      Returns:
      Throws:
        `com.tibco.n2.brm.services.SecurityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`

    - #### getPublicWorkListViews

          com.tibco.n2.brm.api.WorkListViewPageItem[] getPublicWorkListViews(long startPosition,
                                                                             long numberOfItems)
                                                                      throws com.tibco.n2.brm.services.SecurityFault,
                                                                             com.tibco.n2.brm.services.InternalServiceFault

      Get Public Work List Views
      Parameters:
        `startPosition` -
        `numberOfItems` -
      Returns:
        com.tibco.n2.brm.api.GetPublicWorkListViewsResponseDocument.GetPublicWorkListViewsResponse
      Throws:
        `com.tibco.n2.brm.services.SecurityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`

    - #### getPublicWorkListViews

          com.tibco.n2.brm.api.WorkListViewPageItem[] getPublicWorkListViews(long startPosition,
                                                                             long numberOfItems,
                                                                             int apiVersion)
                                                                      throws com.tibco.n2.brm.services.SecurityFault,
                                                                             com.tibco.n2.brm.services.InternalServiceFault

      Get Public Work List Views
      Parameters:
        `startPosition` -
        `numberOfItems` -
        `apiVersion` - 1 for existing functionality 2 to return extra info
      Returns:
        com.tibco.n2.brm.api.GetPublicWorkListViewsResponseDocument.GetPublicWorkListViewsResponse
      Throws:
        `com.tibco.n2.brm.services.SecurityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`

    - #### addCurrentResourceToView

          long addCurrentResourceToView(long workListViewID)
                                 throws com.tibco.n2.brm.services.InvalidWorkViewFault,
                                        com.tibco.n2.brm.services.InvalidEntityFault,
                                        com.tibco.n2.brm.services.SecurityFault,
                                        com.tibco.n2.brm.services.InternalServiceFault

      Add the current resource to a Work List View
      Parameters:
        `workListViewID` -
      Returns:
        workListViewID
      Throws:
        `com.tibco.n2.brm.services.InvalidWorkViewFault`
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.SecurityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`

    - #### deleteCurrentResourceFromView

          long deleteCurrentResourceFromView(long workListViewID)
                                      throws com.tibco.n2.brm.services.InvalidWorkItemFault,
                                             com.tibco.n2.brm.services.InvalidEntityFault,
                                             com.tibco.n2.brm.services.SecurityFault,
                                             com.tibco.n2.brm.services.InternalServiceFault

      Delete the current resource from a Work List View
      Parameters:
        `workListViewID` -
      Returns:
        workListViewID
      Throws:
        `com.tibco.n2.brm.services.InvalidWorkItemFault`
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.SecurityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`

    - #### getViewsForResource

          com.tibco.n2.brm.api.WorkListViewPageItem[] getViewsForResource(long startPosition,
                                                                          long numberOfItems)
                                                                   throws com.tibco.n2.brm.services.InternalServiceFault

      Get the Work List View for the current resource
      Parameters:
        `startPosition` -
        `numberOfItems` -
      Returns:
        com.tibco.n2.brm.api.WorkListViewPageItem[]
      Throws:
        `com.tibco.n2.brm.services.InternalServiceFault`

    - #### getViewsForResource

          com.tibco.n2.brm.api.WorkListViewPageItem[] getViewsForResource(long startPosition,
                                                                          long numberOfItems,
                                                                          int apiVersion)
                                                                   throws com.tibco.n2.brm.services.InternalServiceFault

      Get the Work List View for the current resource
      Parameters:
        `startPosition` -
        `numberOfItems` -
        `apiVersion` - 1 for existing functionality 2 to return extra info
      Returns:
      Throws:
        `com.tibco.n2.brm.services.InternalServiceFault`

    - #### getWorkListItemsForView

          com.tibco.n2.brm.api.GetWorkListItemsForViewResponseDocument.GetWorkListItemsForViewResponse getWorkListItemsForView(long workListViewID,
                                                                                                                               long startPosition,
                                                                                                                               long numberOfItems,
                                                                                                                               boolean getTotalCount)
                                                                                                                        throws com.tibco.n2.brm.services.InvalidWorkItemFault,
                                                                                                                               com.tibco.n2.brm.services.InvalidEntityFault,
                                                                                                                               com.tibco.n2.brm.services.InternalServiceFault,
                                                                                                                               com.tibco.n2.brm.services.WorkItemOrderFault,
                                                                                                                               com.tibco.n2.brm.services.WorkItemFilterFault,
                                                                                                                               com.tibco.n2.brm.services.SecurityFault

      Get the Work List Items for a View
      Parameters:
        `workListViewID` -
        `startPosition` -
        `numberOfItems` -
        `getTotalCount` -
      Returns:
        com.tibco.n2.brm.api.GetWorkListItemsForViewResponseDocument.GetWorkListItemsForViewResponse
      Throws:
        `com.tibco.n2.brm.services.InvalidWorkItemFault`
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### getWorkListItemsForView

          com.tibco.n2.brm.api.GetWorkListItemsForViewResponseDocument.GetWorkListItemsForViewResponse getWorkListItemsForView(long workListViewID,
                                                                                                                               long startPosition,
                                                                                                                               long numberOfItems,
                                                                                                                               boolean getTotalCount,
                                                                                                                               boolean getAllocatedItems)
                                                                                                                        throws com.tibco.n2.brm.services.InvalidWorkItemFault,
                                                                                                                               com.tibco.n2.brm.services.InvalidEntityFault,
                                                                                                                               com.tibco.n2.brm.services.InternalServiceFault,
                                                                                                                               com.tibco.n2.brm.services.WorkItemOrderFault,
                                                                                                                               com.tibco.n2.brm.services.WorkItemFilterFault,
                                                                                                                               com.tibco.n2.brm.services.SecurityFault

      Get the Work List Items for a View
      Parameters:
        `workListViewID` -
        `startPosition` -
        `numberOfItems` -
        `getTotalCount` -
        `getAllocatedItems` - If specified allows the caller to overide wether we are displaying allocated items or not in the view
      Returns:
      Throws:
        `com.tibco.n2.brm.services.InvalidWorkItemFault`
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### getWorkListItemsForView

          com.tibco.n2.brm.api.GetWorkListItemsForViewResponseDocument.GetWorkListItemsForViewResponse getWorkListItemsForView(long workListViewID,
                                                                                                                               long startPosition,
                                                                                                                               long numberOfItems,
                                                                                                                               boolean getTotalCount,
                                                                                                                               boolean getAllocatedItems,
                                                                                                                               boolean getEnhancedAttributes)
                                                                                                                        throws com.tibco.n2.brm.services.InvalidWorkItemFault,
                                                                                                                               com.tibco.n2.brm.services.InvalidEntityFault,
                                                                                                                               com.tibco.n2.brm.services.InternalServiceFault,
                                                                                                                               com.tibco.n2.brm.services.WorkItemOrderFault,
                                                                                                                               com.tibco.n2.brm.services.WorkItemFilterFault,
                                                                                                                               com.tibco.n2.brm.services.SecurityFault

      TODO Describe this method
      Parameters:
        `workListViewID` -
        `startPosition` -
        `numberOfItems` -
        `getTotalCount` -
        `getAllocatedItems` -
        `getEnhancedAttributes` - if set return attributes 15-40
      Returns:
      Throws:
        `com.tibco.n2.brm.services.InvalidWorkItemFault`
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### getWorkListItemsForView

          com.tibco.n2.brm.api.GetWorkListItemsForViewResponseDocument.GetWorkListItemsForViewResponse getWorkListItemsForView(boolean getEnhancedAttributes,
                                                                                                                               long workListViewID,
                                                                                                                               long startPosition,
                                                                                                                               long numberOfItems,
                                                                                                                               boolean getTotalCount)
                                                                                                                        throws com.tibco.n2.brm.services.InvalidWorkItemFault,
                                                                                                                               com.tibco.n2.brm.services.InvalidEntityFault,
                                                                                                                               com.tibco.n2.brm.services.InternalServiceFault,
                                                                                                                               com.tibco.n2.brm.services.WorkItemOrderFault,
                                                                                                                               com.tibco.n2.brm.services.WorkItemFilterFault,
                                                                                                                               com.tibco.n2.brm.services.SecurityFault

      Get the Work List Items for a View
      Parameters:
        `workListViewID` -
        `startPosition` -
        `numberOfItems` -
        `getTotalCount` -
      Returns:
        com.tibco.n2.brm.api.GetWorkListItemsForViewResponseDocument.GetWorkListItemsForViewResponse
      Throws:
        `com.tibco.n2.brm.services.InvalidWorkItemFault`
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### getWorkListItemsForGlobalData

          com.tibco.n2.brm.api.GetWorkListItemsForGlobalDataResponseDocument.GetWorkListItemsForGlobalDataResponse getWorkListItemsForGlobalData(long startPosition,
                                                                                                                                                 long numberOfItems,
                                                                                                                                                 java.lang.String[] globalDataRef,
                                                                                                                                                 com.tibco.n2.brm.api.OrderFilterCriteria orderFilterCriteria)
                                                                                                                                          throws com.tibco.n2.brm.services.InvalidEntityFault,
                                                                                                                                                 com.tibco.n2.brm.services.InternalServiceFault,
                                                                                                                                                 com.tibco.n2.brm.services.WorkItemOrderFault,
                                                                                                                                                 com.tibco.n2.brm.services.WorkItemFilterFault,
                                                                                                                                                 com.tibco.n2.brm.services.SecurityFault

      TODO Describe this method
      Parameters:
        `startPosition` -
        `numberOfItems` -
        `globalDataRef` -
        `orderFilterCriteria` -
      Returns:
      Throws:
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.WorkItemOrderFault`
        `com.tibco.n2.brm.services.WorkItemFilterFault`
        `com.tibco.n2.brm.services.SecurityFault`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.